[Snort-users] Issues compiling chroot snort with daq

Moses Hernandez moses at ...14297...
Fri Jun 24 15:41:19 EDT 2011


I am working on building a few installation scripts to install snort in a
chrooted environment. For whatever reason on an Ubuntu 10.04.2 server I am
not able to get daq-0.5 to locate libpcap correctly. Here is a set of what
i've done, just if anyone has any ideas to what is going on.

to install libpcap 1.1.1

./configure --prefix=/opt/snort

I have located that in /opt/snort/lib libpcap.* exists.

For daq0-5:

./configure --prefix=/opt/snort --with-libpcap-includes=/opt/snort/include
--with-libpcap-libraries=/opt/snort/lib

It gives the dreaded:

ERROR!  Libpcap library version >= 1.0.0  not found.

Now I've looked around and found examples where people put:

LD_LIBRARY_PATH=/opt/snort ./configure --prefix=/opt/snort
--with-libpcap-includes=/opt/snort/include
--with-libpcap-libraries=/opt/snort/lib

I also noticed that at some point libpcap0.8 was installed. I did an apt-get
remove of it. I am wondering if the configure script uses locate because the
locate database still reflects the file exists (libpcap0.8 files) but they
are not installed anymore. I have also run ldconfig several times, and run
the configure scripts as root with no luck.

Anyone experience the same thing?
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-users/attachments/20110624/516055c0/attachment.html>


More information about the Snort-users mailing list